# $Revision: 1.12 $, $Date: 2002/07/14 19:36:50 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	IP
Summary:	Net::IP perl module
Summary(pl):	Modu perla Net::IP
Name:		perl-Net-IP
Version:	1.11
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::IP Perl extension for the IP protocol.

%description -l pl
Net::IP - wsparcie dla protokou IP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
	
install ipcount $RPM_BUILD_ROOT%{_bindir}
install iptab $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Net/IP.pm
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-IP.spec,v $
Revision 1.12  2002/07/14 19:36:50  ankry
- patch (now: -paths) renamed, renumbered and updated
- release 2

Revision 1.11  2002/07/12 09:04:40  qboosh
- new %%doc and cosmetics

Revision 1.10  2002/07/11 08:02:11  depesz
- new version; should work; STBR

Revision 1.9  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.8  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/02/25 10:33:14  depesz
cleanup; revision++

Revision 1.6  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/13 14:19:00  depesz
automatic: Source location unfied, Relase Up

Revision 1.4  2002/02/12 10:26:08  kloczek
- release 2.

Revision 1.3  2002/02/10 15:40:16  depesz
adapterized

Revision 1.2  2002/02/04 15:40:28  kloczek
- adapterized.

Revision 1.1  2002/02/02 22:42:26  zagrodzki
- initial release
